# FixedBattleConfig | pokemon-rogue-battle
Documentation for pokemon-rogue-battle

# Class FixedBattleConfig

- Defined in src/battle.ts:505

##### Index

### Constructors

constructor

### Properties

battleType
customModifierRewardSettings?
double
getEnemyParty
getTrainer
seedOffsetWaveIndex

### Methods

setBattleType
setCustomModifierRewards
setDouble
setGetEnemyPartyFunc
setGetTrainerFunc
setSeedOffsetWave

## Constructors

### constructor

- new FixedBattleConfig(): FixedBattleConfig

  #### Returns FixedBattleConfig

## Properties

### battleType

battleType: BattleType

- Defined in src/battle.ts:506

### `Optional` customModifierRewardSettings

customModifierRewardSettings?: CustomModifierSettings

- Defined in src/battle.ts:511

### double

double: boolean

- Defined in src/battle.ts:507

### getEnemyParty

getEnemyParty: GetEnemyPartyFunc

- Defined in src/battle.ts:509

### getTrainer

getTrainer: GetTrainerFunc

- Defined in src/battle.ts:508

### seedOffsetWaveIndex

seedOffsetWaveIndex: number

- Defined in src/battle.ts:510

## Methods

### setBattleType

- setBattleType(battleType: BattleType ): FixedBattleConfig

  #### Parameters

  - battleType: BattleType

  #### Returns FixedBattleConfig

  - Defined in src/battle.ts:513

### setCustomModifierRewards

- setCustomModifierRewards(
  customModifierRewardSettings: CustomModifierSettings ,
  ): FixedBattleConfig

  #### Parameters

  - customModifierRewardSettings: CustomModifierSettings

  #### Returns FixedBattleConfig

  - Defined in src/battle.ts:538

### setDouble

- setDouble(double: boolean): FixedBattleConfig

  #### Parameters

  - double: boolean

  #### Returns FixedBattleConfig

  - Defined in src/battle.ts:518

### setGetEnemyPartyFunc

- setGetEnemyPartyFunc(getEnemyPartyFunc: GetEnemyPartyFunc): FixedBattleConfig

  #### Parameters

  - getEnemyPartyFunc: GetEnemyPartyFunc

  #### Returns FixedBattleConfig

  - Defined in src/battle.ts:528

### setGetTrainerFunc

- setGetTrainerFunc(getTrainerFunc: GetTrainerFunc): FixedBattleConfig

  #### Parameters

  - getTrainerFunc: GetTrainerFunc

  #### Returns FixedBattleConfig

  - Defined in src/battle.ts:523

### setSeedOffsetWave

- setSeedOffsetWave(seedOffsetWaveIndex: number): FixedBattleConfig

  #### Parameters

  - seedOffsetWaveIndex: number

  #### Returns FixedBattleConfig

  - Defined in src/battle.ts:533